Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: xfpanel-switch  (gelezen 158 keer)

Offline kfboerne

  • Lid
  • Steunpunt: Nee
xfpanel-switch
« Gepost op: 2017/01/25, 17:33:12 »
os = Xubuntu 14.04/16.04

Op Pjotr's website trof ik het fraaie xfpanel-switch aan :
https://sites.google.com/site/computertip/direct-doen-mint-xfce#TOC-Maak-een-reservekopie-van-uw-werkbalkinstellingen

Tijdens installatie krijg ik de volgende ouput :

"Unable to locate package xfpanel-switch"

Ik heb al allerlei andere commando's geprobeerd, maar krijg steeds dezelfde melding dat de software niet gevonden kan worden. Ik vermoed dat dit een 'Mint-vs-Ubuntu issuetje' is ;)? Hoe kan ik de software onder Xubuntu gebruiken?
Een boek doet het altijd...

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: xfpanel-switch
« Reactie #1 Gepost op: 2017/01/25, 17:54:24 »
Dat is vreemd: het zit gewoon in de Ubuntu-pakketbron Universe, dus ook voor Xubuntu 16.04 zou het gewoon beschikbaar moeten zijn. Niet voor 14.04, trouwens....

Overigens zou je het ook kunnen proberen te installeren in 14.04, als los .deb-pakketje: http://archive.ubuntu.com/ubuntu/pool/universe/x/xfpanel-switch/

Haal het all.deb-pakketje binnen en dubbelklik het, alsof het een Windows-installatiebestand is.
« Laatst bewerkt op: 2017/01/25, 17:58:28 door Pjotr »

Offline vanadium

  • Lid
  • Steunpunt: Nee
Re: xfpanel-switch
« Reactie #2 Gepost op: 2017/01/25, 18:45:16 »
Zelfs bij mij installeert het zonder probleem, en dat zonder dependencies binnen te halen, op Ubuntu 16.04 zonder een spoortje xfce.

Dit pakket is aanwezig in de universe softwarebron. Controleer of die actief is (normaal wel standaard, dacht ik).

Offline kfboerne

  • Lid
  • Steunpunt: Nee
Re: xfpanel-switch
« Reactie #3 Gepost op: 2017/01/25, 19:13:44 »
De (hoofd)pc waarop ik de software probeer te installeren draait op 14.04! Vandaar dat het niet lukt. Ik gebruik het deb-bestand wel.

Pjotr, misschien handig om dit nog even op je site erbij te vermelden? Voor de rest een toptip! 
Een boek doet het altijd...

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: xfpanel-switch
« Reactie #4 Gepost op: 2017/01/25, 19:14:57 »
De (hoofd)pc waarop ik de software probeer te installeren draait op 14.04! Vandaar dat het niet lukt. Ik gebruik het deb-bestand wel.

Pjotr, misschien handig om dit nog even op je site erbij te vermelden? Voor de rest een toptip!
Mijn webstek is puur en alleen voor *buntu 16.04.x en Linux Mint 18.x. De oude 14.04.x ondersteun ik niet meer.  :)

Offline kfboerne

  • Lid
  • Steunpunt: Nee
Re: xfpanel-switch
« Reactie #5 Gepost op: 2017/01/25, 19:21:26 »
Vervolgprobleempje helaas ...

Na het dubbelklikken op het deb bestand blijkt dat er problemen met de dependencies ontstaan :

"Dependency is not satisfiable : gir1.2-gtk-3.0 (>=3.12)"

Ik begrijp dat ik minimaal versie 3.12 moet installeren? Ik trof dit aan :

https://askubuntu.com/questions/464476/installing-gtk-3-12-on-ubuntu-14-04

Dit wordt mij iets te complex ben ik bang. Welke commando's kan ik gebruiken om gir1.2-gtk-3.12 (of hoger) onder 14.04 geinstalleerd te krijgen? En heeft dit nut of zouden er meerdere dependency-problemen ontstaan en is het gewoon niet mogelijk om xfpanel-switch onder 14.04 geinstalleerd te krijgen? Zou wel jammer zijn...
« Laatst bewerkt op: 2017/01/25, 19:34:49 door kfboerne »
Een boek doet het altijd...

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: xfpanel-switch
« Reactie #6 Gepost op: 2017/01/25, 20:13:04 »
Niet doen.... Dat gaat waarschijnlijk niet goed, of gaat onverwachte rare neveneffecten veroorzaken.

De enige goede oplossing is, om over te stappen op Xubuntu 16.04.x of Linux Mint 18.x Xfce.

Offline kfboerne

  • Lid
  • Steunpunt: Nee
Re: xfpanel-switch
« Reactie #7 Gepost op: 2017/01/25, 21:23:53 »
Daar was ik al bang voor  :|. Pjotr, in elk geval bedankt voor het meedenken en voorkomen van een gammel systeem!
Een boek doet het altijd...

Offline vanadium

  • Lid
  • Steunpunt: Nee
Re: xfpanel-switch
« Reactie #8 Gepost op: 2017/01/26, 13:43:09 »
Je kan nog eens zien of het deb bestandje van de oudere versie het doet: xfpanel-switch_1.0.3-0ubuntu1_all.deb. Indien niet, dan is er nog altijd geen man overboord.

Offline kfboerne

  • Lid
  • Steunpunt: Nee
Re: xfpanel-switch
« Reactie #9 Gepost op: 2017/01/27, 19:59:16 »
Goed gedacht Vanadium! Helaas.....zelfde probleem. Geen ramp ;)
Een boek doet het altijd...